Get workspace object status
GET
/api/v1/workspace/status
const url = 'https://example.com/api/v1/workspace/status?path=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/workspace/status?path=example'Get status of a workspace object.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”path
required
Path
Workspace path to check
string
Workspace path to check
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceStatusResponse
Response model for workspace object status.
object
Examplegenerated
{ "path": "example", "object_type": "example", "object_id": 1, "language": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}